Subject: Re: [openpgp] On Streaming and Chunking

From: Peter Gutmann <[email-masked]>
Date: Fri, 27 Mar 2015 10:37:52 +0000

ianG <[email-masked]> writes:

>One moving part in particular is the interface design.  It has been an
>article of faith for a long time that the crypto libraries should deliver to
>the application a CIPHER metaphor, and that's good enough for any programmer.
>And a MAC metaphor.  And a MODE metaphor.  Which has gradually morphed into a
>CIPHER/MODE/MAC metaphor.

And one with the defaults set wrong.  In Java, do a Cipher.getInstance("AES")
and you get AES in ECB mode.  To paraphrase a quote about C, "it gives you a
loaded gun and points it at your foot by default".

Peter.